Thông tin thỏa thuận
curl --request GET \
--url https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/tartarus/v1/putThroughSnaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buyAdv": [
{
"symbol": "DHT",
"price": 24300,
"vol": 50,
"time": "20231220-02:16:13.588",
"status": 1,
"color": 3,
"orderId": "DHT00000000000036",
"side": "B"
}
],
"sellAdv": [
{
"symbol": "TCB",
"price": 24300,
"vol": 50,
"time": "20231220-02:16:13.588",
"status": 1,
"color": 3,
"orderId": "TCB00000000000036",
"side": "S"
}
],
"match": [
{
"symbol": "TCB",
"price": 23455.5,
"vol": 5000,
"val": 117275000,
"time": "20:00:03",
"color": 5,
"accumulatedValue": 254440000
}
]
}Dữ liệu thị trường
Thông tin thỏa thuận
Lấy thông tin giao dịch thỏa thuận.
GET
/
tartarus
/
v1
/
putThroughSnaps
Thông tin thỏa thuận
Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Rổ chứng khoán: 1 = HOSE, 2 = HNX, 3 = Upcom.
Tùy chọn có sẵn:
1, 2, 3